WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Anti-Captcha (anti-spam botblocker)

Anti-Captcha is a transparent spam solution that does not require any end-user interaction.

Is javascript required by the user?

Yes, however this sounds worse then it is. Generally, it's frowned upon if you don't write javascript in an unobstructive way. The reason for this is that some visitors don't support javascript but should still be able to get around your website.

AFAIK there are four types of user-agents not supporting javascript:

  • Search-engine spider bots
  • Users of a command-line browser (like Lynx)
  • Users who actively disabled javascript in their browser
  • Mischievous bots trying to spam or hack into your blog

Obviously, search-engines don't need to comment, register or login so they can be ruled out. Lynx users and users with javascript disabled are likely to be a very small percentage of the internet population, who have actively excluded themselves from certain webfeatures. Finally, badly behaving bots, is what the Anti-Captcha plugin is trying to block.

Requires: 2.8.4 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-29
Downloads: 63,834

Ratings

4 stars
4.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,1,1
100,3,3
100,1,1 100,1,1
100,1,1
100,2,2
100,2,2 100,1,1 100,1,1 0,1,0
0,1,0
100,1,1
100,2,2